#!/bin/sh

# Init
echo "Cleaning up..."
if test -e installer; then
	rm -rf installer || exit;
fi

if test -e local/; then
	rm -rf local/ || exit;
fi

echo "Creating folders..."
mkdir -p installer || exit
mkdir local/

# Compile and install localy
echo "Compiling..."
cd ../..
./configure --prefix=/
make

echo "Installing..."
make DESTDIR=`pwd`/dist/win32/local/ install
cd dist/win32

# bin/
echo "Creating bin/..."
mkdir -p installer/bin || exit
cp "../../src/enpathia.exe" installer/bin/ || exit

# etc/
echo "Creating etc/..."
mkdir -p installer/etc/gtk-2.0/ || exit
cp "gtkrc" installer/etc/gtk-2.0/ || exit

mkdir -p installer/etc/pango/ || exit
cp "/mingw/etc/pango/pango.modules" installer/etc/pango/ || exit

# lib/
echo "Creating lib/..."
mkdir -p installer/lib/gtk-2.0/2.10.0/engines/ || exit
cp "/mingw/lib/gtk-2.0/2.10.0/engines/libpixmap.dll" installer/lib/gtk-2.0/2.10.0/engines/ || exit
cp "/mingw/lib/gtk-2.0/2.10.0/engines/libwimp.dll" installer/lib/gtk-2.0/2.10.0/engines/ || exit

# share/
echo "Creating share/..."
mkdir -p installer/share/enpathia/ || exit

mkdir -p installer/share/themes/MS-Windows/gtk-2.0/ || exit
cp "/mingw/share/themes/MS-Windows/gtk-2.0/gtkrc" installer/share/themes/MS-Windows/gtk-2.0/ || exit

mkdir -p installer/share/locale/ || exit
cp "/mingw/share/locale/locale.alias" installer/share/locale/ || exit

langs=`ls ../../po/locale/`;
for lang in $langs
do
	mkdir -p installer/share/locale/$lang/LC_MESSAGES/ || exit
	cp "/mingw/share/locale/$lang/LC_MESSAGES/glib20.mo" "installer/share/locale/$lang/LC_MESSAGES/" || exit
	cp "/mingw/share/locale/$lang/LC_MESSAGES/gtk20.mo" "installer/share/locale/$lang/LC_MESSAGES/" || exit
done

cp -R "local/share/enpathia/" installer/share/ || exit

# Done
echo "========================================================"
echo " Done "
echo "========================================================"
echo "Now please check the dll dependencies of enpathia.exe"
echo "and compile the NSI script."
