/* 
 * enPathia
 * Eneso Tecnología de Adaptación, S.L. 
 */

#ifndef __MISC_H__
#define __MISC_H__

#include <gtk/gtk.h>

#ifdef __MACH__
/* This is what GTK+ is supossed to do, but it doesn't work */
#define g_fopen	fopen
#endif /* __MACH__ */

#ifdef MAC_INTEGRATION
	#include <gtkmacintegration/gtkosxapplication.h>

	extern GtkOSXApplication*	gtk_osx_app;
#endif

#define FONT	"Sans"

extern gint		screen_width;
extern gint		screen_height;

void
wait_ms			(guint time);

void
find_data_dir	(void);
void
find_config_dir	(void);
gchar*
get_data_file 	(gchar* filename);
gchar*
get_config_file	(gchar* filename);

void
execute_uri		(gchar* uri);
gint
copy_file	 	(gchar* from, gchar* to);
void
get_screen_size	(void);
void
center_pointer	(void);
void
hide_pointer	(GtkWidget* widget);
void
set_pointer		(GtkWidget* widget, GdkCursorType type);

void
set_env_var		(gchar* name, gchar* value);
void
get_env_var		(gchar* name, gchar* value);

void
dialog_info			(gchar* title, gchar* message);
gboolean
dialog_yes_no		(gchar* title, gchar* message);
void
dialog_transient	(gchar* message, gchar* image_file);

gboolean
file_chooser	(gchar** filename, gchar* title, gboolean open, gchar* default_name,
		gchar* filter_name, gchar* filter_ext);

#endif /* __MISC_H__ */
